Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-6]: src/distrib/sets Pull up revision 1.17 (requested by thorpe...



details:   https://anonhg.NetBSD.org/src/rev/968a8032dddf
branches:  netbsd-1-6
changeset: 529627:968a8032dddf
user:      he <he%NetBSD.org@localhost>
date:      Sun Dec 01 20:14:00 2002 +0000

description:
Pull up revision 1.17 (requested by thorpej in ticket #839):
  Do not use the -path extension to find.  Instead, filter
  out the metalog file using a separate loop in the pipeline.

diffstat:

 distrib/sets/checkflist |  15 +++++++++++----
 1 files changed, 11 insertions(+), 4 deletions(-)

diffs (46 lines):

diff -r f264ce4c1630 -r 968a8032dddf distrib/sets/checkflist
--- a/distrib/sets/checkflist   Sun Dec 01 19:52:59 2002 +0000
+++ b/distrib/sets/checkflist   Sun Dec 01 20:14:00 2002 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh --
 #
-#      $NetBSD: checkflist,v 1.14.2.1 2002/07/09 16:20:15 lukem Exp $
+#      $NetBSD: checkflist,v 1.14.2.2 2002/12/01 20:14:00 he Exp $
 #
 # Verify output of makeflist against contents of $DESTDIR.
 
@@ -17,7 +17,6 @@
 xargs=""
 dargs=""
 diffargs=""
-findargs=
 metalog=
 
 # handle args
@@ -60,8 +59,12 @@
 if [ -n "$metalog" ]; then
        case "$metalog" in
        ${DESTDIR}/*)
-               findargs="! -path ./${metalog#${DESTDIR}/} -a"
+               # Metalog would be noticed, so make sure it gets
+               # ignored.
+               metalog="./${metalog#${DESTDIR}/}"
                ;;
+       *)
+               metalog=""
        esac
 fi
 
@@ -70,7 +73,11 @@
 
 (
        cd $DESTDIR
-       find $origin $findargs \( -type d -o -type f -o -type l \)
+       find $origin \( -type d -o -type f -o -type l \)
+) | (
+       while read line; do
+               test "$metalog" = "$line" || echo $line
+       done
 ) | sort | diff $diffargs $tmpname -
 rv=$?
 



Home | Main Index | Thread Index | Old Index